MARTe2-core - User story #145

Lint: BasicConsole
28.06.2015 18:59 - André Neto

Status: Closed Start date: 28.06.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.2 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Verify and implement coding standard using Flexelint.

Source code files modified

Same as #142

Architecture & design review
Date of the review: 22/07/2015
Person who did the review: Lioreng Capella

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 22/07/2015

Person who did the review: Lloren¢ Capella

Result of review: PASS (MISRA compliant)

List of non-conformities: N/A.

Unit test review

Date of the review: 24/07/2015

Person who did the review: lvan Herrero
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities:

See #142
Associated revisions

Revision 0925b610 - 06.07.2015 19:27 - André Neto
Finished lint of BasicConsole #145.

Terminated the linting of BasicConsole with associated Linux operating
system.

Revision 5d8a5af8 - 09.07.2015 12:32 - André Neto
Linted implementation of BasicConsole completed #145.

The BasicConsole was implemented and linted. The tests executed with no
errors and all the lint issues were addressed as comments in the code.

Revision c44c3cb5 - 09.07.2015 12:41 - André Neto
Removed BasicConsole from unit testing #145.
BasicConsole is still not ready to be tested in the integration server.

Revision 399049c8 - 24.07.2015 10:49 - Llorenc Capella
#145 Basic Console. Test bugs fixed.

List changes: * Removed TestWriteLargeSize * SetSize was moved just after the open() funcion due to the windows
probles. * Add some documentation notes on the source file in setSize and write

functions.

History

#1 - 02.07.2015 17:20 - Riccardo Vitelli

- Target version set to Backlog

#2 - 02.07.2015 18:07 - Riccardo Vitelli

- Target version changed from Backlog to 0.2

#3 - 02.07.2015 18:08 - Riccardo Vitelli

- Status changed from New to Code: Impl

#4 - 05.07.2015 23:49 - André Neto

- Assignee set to André Neto

#5 - 09.07.2015 14:20 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#6 - 09.07.2015 14:22 - Riccardo Vitelli
- Assignee deleted (André Neto)

#7 - 22.07.2015 09:10 - lvan Herrero

- Assignee set to Llorenc Capella

#8 - 22.07.2015 14:02 - Llorenc Capella
- Description updated

- Assignee deleted (Llorenc Capella)

#9 - 22.07.2015 14:02 - Llorenc Capella
- Status changed from Code: Rev to Unit: Impl

#10 - 23.07.2015 15:17 - Ivan Herrero
- Status changed from Unit: Impl to Unit: Rev

#11 - 24.07.2015 12:16 - lvan Herrero
- Assignee set to Ivan Herrero

#12 - 24.07.2015 19:23 - Ivan Herrero
- Description updated
- Status changed from Unit: Rev to Closed

- Assignee deleted (lvan Herrero)

Unit test review made on revision cb388cb.
